# Widget Entity

**Entity Parameters:**

<table><thead><tr><th width="185.33333333333331">name</th><th width="161">type</th><th>description</th></tr></thead><tbody><tr><td>id</td><td>string</td><td>Identifier of the widget</td></tr><tr><td>meta_id</td><td>string</td><td>Meta identifier of the widget, encodes type of the widget</td></tr><tr><td>configuration</td><td>json</td><td>Valid json, encodes widget's configuration. Exact scheme of configuration is derived from the meta id.</td></tr><tr><td>name</td><td>string</td><td>The widget's name</td></tr><tr><td>premium</td><td>boolean</td><td>Whether the widget requires a premium subscription</td></tr></tbody></table>

**Entity Example**

```json
{
  "id": "95680ad2-8d19-44fe-996c-280db1bd6bf1",
  "meta_id": "f0654a12-3a59-4beb-b567-c5febda19c48",
  "configuration": {
    "ranges": [
      {
        "to": 90,
        "from": 60,
        "color": "#04bbafff"
      },
      {
        "to": 100,
        "from": 91,
        "color": "#fdb008ff"
      }
    ],
    "heartColor": "#f72d21ff",
    "heartEnabled": true
  },
  "name": "Some name",
  "premium": false
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pulsoid.net/widgets-management/widget-entity.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
